/*!
  \example findComPortsSample.cpp

  \brief FindComPorts の動作サンプル

  \author Satofumi KAMIMURA

  $Id: findComPortsSample.cpp 1192 2009-07-30 09:10:18Z satofumi $
*/

#include "FindComPorts.h"

using namespace qrk;
using namespace std;


//! main
int main(int argc, char *argv[])
{
  FindComPorts find_com_ports;

  vector<string> ports;
  find_com_ports.find(ports);

  printf("found ports: %d\n", ports.size());
  for (vector<string>::iterator it = ports.begin(); it != ports.end(); ++it) {
    printf("%s\n", it->c_str());
  }

  return 0;
}
